2007-09-18  Daniel Elstner  <danielk@openismus.com>

	* hildon-fm/src/file-chooser-dialog.hg: Include file-selection.h
	in order to fix the build with properties enabled.
	* hildon-fm/src/file-system-model.hg: Remove excess semicolons.

0.9.6:

2007-08-01  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Makefile.am: Do not try to install .dot 
	files because they don't exist.

0.9.5:

2007-07-22  Murray Cumming  <murrayc@murrayc.com>

	* hildon-fm/src/hildon-fm_enums.defs: Regenerated with enums.pl.
	* hildon-fm/src/hildon-fm_methods.defs: Regenerated with h2defs.py.
	* hildon-fm/src/hildon-fm_signals.defs: Regenerated with extra_defs_gen.

	* hildon-fm/src/file-chooser-dialog.hg: Added add_extra(), 
	add_extensions_combo(), get_extension(), set_extension().
	Added selection-mode property.
	* hildon-fm/src/file-selection.hg: Ignore the newly deprecated functons, 
	now in hildon-fm1-compat.h.

	This deals with all the current gmmproc warnings caused by API changes 
	between hildon-fm and hildon-fm-2.

2007-07-22  Murray Cumming  <murrayc@murrayc.com>

	* hildon-fm/hildon-fmmm.pc.in: Correct the requirement from 
	hildon-fm to hildon-fm-2.

2007-07-16  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Do the pkg-config check for hildon-fm-2 instead of 
	hildon-fm.
	* hildon-fm/src/file-chooser-dialog.ccg:
	* hildon-fm/src/file-details-dialog.ccg:
	* hildon-fm/src/file-system-model.ccg:
	* hildon-fm/src/file-system-model.hg:
	* tools/extra_defs_gen/generate_defs_hildon-fm.cc:
	Change the includes to use hildon/ instead of hildon-widgets/ 
	because the hildon-1 library uses a more sane header path.
	* hildon-fm/src/file-selection.ccg:
	* hildon-fm/src/file-selection.hg: 
	Rename get/set_current_path() to get/set_current_uri(),  
	rename select/unselect_path() to select/unselect_uri() and
	rename get_selected_paths() to get_selected_uris().
	We need to regenerate the .defs to actualyl generate these methods.

This is the trunk branch for hildon-fm-2 in Maemo Chinook.
See also the bora branch.

2007-03-19  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/hildon-fmmm_header.html_fragment: Correct the mispelling of maemomm 
	in the header for the reference documentation.

0.9.1:

2007-01-19  Murray Cumming  <murrayc@murrayc.com>

	* hildon-fm/src/file-selection.ccg:
	* hildon-fm/src/file-selection.hg: Add back the NO_GTYPE option to the _WRAP_ENUM()s,
	because this fix did not seem to make it (yet) into the Maemo Bora release.

2007-01-09  Murray Cumming  <murrayc@murrayc.com>

        * Correct the copyright name on all files.

2006-12-18  Murray Cumming  <murrayc@murrayc.com>

	* TODO: Updated, because two of the maemo bugs/patches have been fixed/applied. 
	* hildon-fm/src/file-details-dialog.ccg: Do not try to set the title in the 
	constructor. The C widget now does this itself, where it can be translated, 
	now that bug 874 is fixed.
	* hildon-fm/src/file-selection.hg: Remove the NO_GTYPE from the _WRAP_ENUM()s, 
	now that the patch in bug 817 has been applied.

2006-11-30  Johannes Schmid <johannes.schmid@openismus.com>

	* hildon-fm/src/hildon-fm_docs_override.xml:
	* hilfon-fm/src/file-system-model.hg:

	Fixed remaining doxygen warnings except those from gtk_file_path because
	this API is private.

0.9.0:

2006-11-28  Daniel Elstner  <danielk@openismus.com>

	* hildon-fm/src/file-selection.hg (location_insensitive): Implement
	a type conversion hack to fetch the tree model that is required for
	creation of a Gtk::TreeModel::iterator signal argument.

2006-11-28  Daniel Elstner  <danielk@openismus.com>

	* tools/extra_defs_gen/generate_defs_hildon-fm.cc (main): Include
	the header and fetch the defs of HildonFileDetailsDialog.
	* hildon-fm/src/hildon-fm_signals.defs: Regenerate.  Note that
	latest gmmproc no longer chokes on "()" in documentation strings.
	* hildon-fm/src/file-details-dialog.hg: Fix typo in property
	name: "enable-readonly-checkbox" vs "enable-read-only-checkbox".

2006-11-28  Murray Cumming  <murrayc@murrayc.com>

	* hildon-fm/hildon-fmmm.pc.in:
	* hildon-fm/hildon-fmmm/Makefile.am:
	* hildon-fm/src/file-system-model.hg: Change the library name from 
	0.1 to 1.0, because we now have more confidence in our ABI stability.

2006-11-27  Johannes Schmid <johannes.schmid@openismus.com>

	* docs/reference/Makefile.am:
	Fixed beautify_docs script

	* hildon-fm/src/hildon-fm_docs_override.xml:
	Fixed most doxygen warnings, only those of gtk_file_path remain and two
	others that are somehow strange

2006-11-26  Murray Cumming  <murrayc@murrayc.com>>

	* hildon-fm/src/file-selection.hg:
	* hildon-fm/src/file-system-model.ccg:
	* hildon-fm/src/file-system-model.hg: Replace use of GtkFilePath* with std::string, 
	because it is a char* in the unix file system, and this assumption does not seem any 
	worse than exposing GtkFilePath (private GTK+ API) in the public API.

2006-11-26  Murray Cumming  <murrayc@murrayc.com>

	* hildon-fm/src/file-details-dialog.hg:
	* hildon-fm/src/file-selection.hg:
	* hildon-fm/src/file-system-model.ccg:
	* hildon-fm/src/file-system-model.hg: Dealt with most (not all) TODO comments, mostly 
	adding method documentation.

2006-11-25  Murray Cumming  <murrayc@murrayc.com>

	* hildon-fm/hildon-fmmm.h:
	* hildon-fm/hildon-fmmm.pc.in: Move the libosso dependency to hildon-libsmm instead.

2006-11-23  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/hildon-fmmm_header.html_fragment: Remove confusing link to widgets 
	section.
	* hildon-fm/src/file-chooser-dialog.hg:
	* hildon-fm/src/file-selection.hg: Use @defgroup before (alphabetically by file) 
	groups are first mentioned with @ingroup. This makes the groups work.

2006-11-22  Murray Cumming  <murrayc@murrayc.com>

	* hildon-fm/src/file-chooser-dialog.hg:
	* hildon-fm/src/file-details-dialog.hg:
	* hildon-fm/src/file-selection.hg:
	* hildon-fm/src/file-system-model.hg: Prefix doxygen group names with Hildon, 
	or else they are confused with the groups in gtkmm.

2006-11-22  Murray Cumming  <murrayc@murrayc.com>

	* hildon-fm/src/file-chooser-dialog.hg:
	* hildon-fm/src/file-selection.hg: Review/correct the doxygen groups for 
        all the classes.

2006-11-22  Murray Cumming  <murrayc@murrayc.com>

	* hildon-fm/src/file-selection.hg: Wrap the new show-upnp property.

2006-11-22  Murray Cumming  <murrayc@murrayc.com>

	* hildon-fm/src/file-system-model.hg: Inherit from (and implement) 
	Gtk::TreeDragSource, because that is what HildonFileSystemModel does.

2006-11-22  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Makefile.am: Comment-out the widget-hierarchy stuff to 
	fix distcheck.

2006-11-21  Murray Cumming  <murrayc@murrayc.com>

	* TODO: Mention a new bug.
	* hildon-fm/src/file-details-dialog.ccg:
	* hildon-fm/src/file-details-dialog.hg: Added comments, and 
	(silly) reimplementation of hildon_file_system_dialog_new_with_model().
	Filed a bug about it and mentioned it in a comment.
	* hildon-fm/src/file-system-model.ccg:
	* hildon-fm/src/file-system-model.hg: Add ref-widget parameter 
	to constructor, as seen in the C documentation, though this does 
	not seem to stop the crash.

2006-11-21  Johannes Schmid <johannes.schmid@openismus.com>

	* hildon-fm/src/file-system-model.hg:
	Use public create() and protected constructor

2006-11-20  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/glibmm_doxygen_tags:
	* docs/reference/gtkmm_doxygen_tags: Added these doxygen tag 
	files, copied from glibmm and gtkmm, because that is easier than 
	guessing where their cvs checkouts are.
	This allows the html to link to gtkmm and glibmm documentation for 
	Glib:: and Gtk:: classes.
	* docs/reference/Doxyfile.in: Set SHOW_INCLUDE_FILES to NO, as in 
	gtkmm, because it does not show the correct include path.
	* docs/reference/Makefile.am: Use the doxygen tag files, via 
	the Doxygen installdox tool, and generally try to make this build file 
	look more like the gtkmm one.

2006-11-19  Murray Cumming  <murrayc@murrayc.com>

	* hildon-fm/src/file-chooser-dialog.hg:
	* hildon-fm/src/file-details-dialog.hg:
	* hildon-fm/src/file-selection.hg:
	* hildon-fm/src/file-system-model.hg: Added class (not methods) documentation, 
	based on the Maemo tutorial and some (very little) text found in the online 
	reference documentation.

2006-11-17  Johannes Schmid <johannes.schmid@openismus.com>

	* docs/Makefile.am
	* configure.in:
	Define the conditional correctly

2006-11-16  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: Changed various settings to 
	match those in the gtkmm Doxyfile.in file.
	* docs/reference/Makefile.am:
	* docs/reference/hildon-fmmm_footer.html_fragment:
	* docs/reference/hildon-fmmm_header.html_fragment: 
	Added header and footer fragments, as we have in gtkmm.

2006-11-15  Johannes Schmid <johannes.schmid@openismus.com>

	* debian/control
	* debian/hildon-fmmm-docs*:
  
	Added documentation package to debian packages

	* configure.in
	* docs/Makefile.am:
	Added --enable-reference option and replace dummy conditional 
	by real conditional HILDON_FMMM_BUILD_REFERENCE

2006-11-13  Murray Cumming  <murrayc@murrayc.com>

	* hildon-fm/hildon-fmmm.h: Include libosso.h because all uses of 
	hildon-fm need to call osso_initialize(). If we can hide osso_initialize() 
	then we can hide this header.
	* hildon-fm/hildon-fmmm.pc.in: Require libosso, because all uses of 
	hildon-fm must (at least indirectly) call osso_initialize().
	* hildon-fm/hildon-fmmm/init.cc:
	* hildon-fm/hildon-fmmm/init.h: Correct the namespace.

2006-11-13  Murray Cumming  <murrayc@murrayc.com>

	* hildon-fm/hildon-fmmm.h: Include init.h, for Hildon::fm_init().

2006-11-13  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Makefile.am: Do upload.

2006-11-09  Daniel Elstner  <danielk@openismus.com>

	* hildon-fm/src/file-system-model.hg: _IGNORE the deprecated
	function hildon_file_system_model_finished_loading().
	(signal_finished_loading, signal_device_disconnected): Wrap
	new signals; using funky special-purpose type conversion in
	need of runtime testing.
	* TODO: That's it.  Remove list of unwrapped functions and
	signals.

2006-11-09  Daniel Elstner  <danielk@openismus.com>

	* hildon-fm/src/file-selection.hg
	(hildon_file_selection_get_column_headers_visible,
	hildon_file_selection_set_column_headers_visible,
	hildon_file_selection_move_cursor_to_uri): Wrap new methods.
	* TODO: Update list of unwrapped functions.

2006-11-09  Daniel Elstner  <danielk@openismus.com>

	* hildon-fm/src/file-chooser-dialog.hg (focus_to_input,
	set_show_upnp, get_show_upnp): Wrap new methods.

2006-11-09  Daniel Elstner  <danielk@openismus.com>

	* TODO: List unwrapped methods and signals.

2006-11-09  Daniel Elstner  <danielk@openismus.com>

	* hildon-fm/src/hildon-fm_methods.defs: Regenerate defs from
	the latest hildon-fm headers.

2006-11-09  Daniel Elstner  <danielk@openismus.com>

	* TODO: Mention MB#182 in the list of related bugs.

2006-11-09  Daniel Elstner  <danielk@openismus.com>

	* hildon-fm/src/file-system-model.hg: Partially revert latest
	change that removed a workaround for MB#182.  Apparently the
	problem has not been entirely fixed yet because the GObject
	class struct is still not hidden, thus breaking the build.

2006-11-09  Murray Cumming  <murrayc@murrayc.com>

	* hildon-fm/src/file-selection.hg:
	* hildon-fm/src/file-system-model.hg: Some const corrections.

2006-11-08  Johannes Schmid <johannes.schmid@openismus.com>

	* docs/reference/Makefile.am:
	Fixed tarball creation

2006-11-08  Johannes Schmid <johannes.schmid@openismus.com>

	* README
	* AUTHORS
	* hildon-fm/README
	* hildon-fm/hildon-fmmmconfig.h.in
	* hildon-fm/hildon-fmmm.h:

	Removed all references to libgda which was obviously used as
	base for the build system

2006-11-08  Johannes Schmid <johannes.schmid@openismus.com>
	
	* configure.in:
	* docs/reference/Doxyfile.in:

	Check if we have graphviz dot utility when build documentation. As
	graphviz is not availible for maemo class diagrams are only build
	if cross-compile from another distribution.

2006-11-07  Daniel Elstner  <danielk@openismus.com>

	* TODO: New file.  Put in references to bugs in hildon-fm
	that affect us.

2006-10-30  Johannes Schmid <johannes.schmid@openismus.com>

	* configure.in
	* Makefile.am
	Removed examples directory from build
	
	* examples/* moved to maemomm-documentation

2006-08-15  Johannes Schmid <jhs@gnome.org>
	
	* hildon-fm/src/file-details-dialog.ccg:
	Fixed to build correctly when glibmm was build without 
	property support

2006-06-27  Marius Vollmer  <marius.vollmer@nokia.com>

	Released 0.1.2
	
	* configure.in: Bumped version.

	* hildon-fm/Makefile.am (EXTRA_DIST): Corrected
	"hildon-libsmm.pc.in" to "hildon-fmmm.pc.in".

	* examples/file-chooser-dialog/Makefile.am (example_SOURCES):
	Fixed typo.

	* examples/Makefile.am (EXTRA_DIST): Don't distribute README.txt,
	which is not present.

	Released 0.1.1
	
	* configure.in: Bumped version.
	
	* tools/m4/Makefile.am (tools_m4_includedir): Changed
	"hildon-libsmm" to "hildon-fmmm" so that it doesn't conflict with
	hildon-widgetsmm.

	* autogen.sh (PKG_NAME): Corrected to "hildon-fmmm".

	* configure.in: Only require gtkmm version 2.4.0 or higher.

2006-05-25  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* docs/reference/Doxyfile.in:
	* hildon-fm/src/hildon-fm_docs.xml:
	* scripts/Makefile.am:
	* scripts/docgen.m4: Use the macro from gtkmm to build the list 
	of doxygen input directories. However, you still need graphviz dot, 
	which is difficult to build without libxaw.
	* hildon-fm/src/hildon-fm_docs.xml: Updated from C docs with 
	docextract_to_xml.py.

2006-03-31  Murray Cumming <murrayc@murrayc.com>

	* hildon-fm/src/Makefile_list_of_hg.am_fragment:
	* hildon-fm/src/file-details-dialog.ccg:
	* hildon-fm/src/file-details-dialog.hg: Added from 
	hildon-widgetsmm, because the underlying class moved from 
	hildon-libs to hildon-fm.
	* hildon-fm/src/hildon-fm_methods.defs:
	* hildon-fm/src/hildon-fm_signals.defs: Moved the defs for 
	this class too.


